;; 
;; %%HEADER%%
;; 

(define (usage)
  (with-output-to-string
    (lambda ()
      (print "Usage: nomads generate migration-name ..."))))

(define (run-generation cli-arguments)
  (when (null? cli-arguments)
    (exit-with-message (usage) 1))
  
  (for-each (lambda (name)
              (let ((fullname (nomads:generate-migration name)))
                (ui 'info " ~A generated" fullname)))
            (delete-duplicates cli-arguments)))


(register-dispatch-target! 'generate run-generation "Generate a new migration file")
